Skip to main content
GET
/
v1
/
companies
/
{company-id}
/
managed_companies
/
{managed-company-id}
/
equipment_types
Retrieve EquipmentTypes for a Managed Company
curl --request GET \
  --url https://api.tread-horizon.com/v1/companies/{company-id}/managed_companies/{managed-company-id}/equipment_types \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "system": true,
      "external_id": "<string>",
      "gross_capacity": "<string>",
      "source": "driver_app",
      "accounting_id": "<string>",
      "additional_gross_capacities": [
        {
          "capacity": "<string>",
          "unit_of_measure": "Load"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "gross_capacity_unit_of_measure": "Load"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string
required

Managing Company ID

managed-company-id
string
required

Managed Company ID

Response

OK

data
EquipmentType-Read · object[]
required